Page 6 of 8 FirstFirst ... 45678 LastLast
Results 76 to 90 of 107

Thread: Не работает php-fcgi

  1. #76

    Хватит воду в ступе толочь!!!

    Всё с php понятно:
    Я что то не пойму куда пропали php пакеты и как теперь установить
    http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/
    Блин, просто нет пакетов php в репозитарии....

  2. #77
    Join Date
    Feb 2007
    Location
    Moscow, Russia
    Posts
    3,805
    был тут где-то товарищ, который поддерживал репозиторий старых optware пакетов. Пока основную ветку optware не починят можно было бы ставить пакеты оттуда. Осталось только напрячься и найти где он адресок оставлял. Как минимум, точно на этом форуме

  3. #78
    да вроде уже починили все
    php, php-fcgi, php-gd еще и обновились на новые версии

  4. Обновился
    Code:
    ipkg update
    ipkg upgrade
    до версий:
    Code:
    php-fcgi - 5.2.12-1 - The php scripting language, built as an fcgi module
    php-gd - 5.2.12-1 - libgd extension for php
    php-mbstring - 5.2.12-1 - mbstring extension for php
    eaccelerator - 0.9.5.3-5.2.12-1 - Yet another php cache / accelerator
    ВСЁ работает !!!

    С НОВЫМ 2010 ГОДОМ !!!

  5. #80
    Quote Originally Posted by valerakvb View Post
    Обновился
    ВСЁ работает !!!
    С НОВЫМ 2010 ГОДОМ !!!
    Это вы оптимистично... Итог обновления - вот уже четыре часа имею картину ниже:

    Оно конечно и раньше валилось через раз, но теперь вообще не поднимается.
    3.14ц какой-то, выброшу роутер, поставлю машину на мини-ITX. Достал.

    [dima@WL-001731EDCFDD root]$ php-fcgi
    Segmentation fault

    [dima@WL-001731EDCFDD root]$ php -v
    PHP Warning: Invalid access level for filter_input() - access must be exactly one of public, protected or private in Unknown on line 0
    PHP Warning: Invalid access level for xmlwriter_flush() - access must be exactly one of public, protected or private in Unknown on line 0
    PHP Warning: Invalid access level for ReflectionFunctionAbstract::getNumberOfRequiredPar ameters() - access must be exactly one of public, protected or private in Unknown on line 0

  6. Quote Originally Posted by filichev View Post
    Это вы оптимистично... Итог обновления - вот уже четыре часа имею картину ниже:

    Оно конечно и раньше валилось через раз, но теперь вообще не поднимается.
    3.14ц какой-то, выброшу роутер, поставлю машину на мини-ITX. Достал.

    [dima@WL-001731EDCFDD root]$ php-fcgi
    Segmentation fault

    [dima@WL-001731EDCFDD root]$ php -v
    PHP Warning: Invalid access level for filter_input() - access must be exactly one of public, protected or private in Unknown on line 0
    PHP Warning: Invalid access level for xmlwriter_flush() - access must be exactly one of public, protected or private in Unknown on line 0
    PHP Warning: Invalid access level for ReflectionFunctionAbstract::getNumberOfRequiredPar ameters() - access must be exactly one of public, protected or private in Unknown on line 0
    Так ставьте отсюда и не парьтесь

  7. #82
    Э, что именно "отсюда" ? Установочный скрипт, но зачем ?

    php - 5.2.12-1 - The php scripting language
    php-fcgi - 5.2.12-1 - The php scripting language, built as an fcgi module
    php-gd - 5.2.12-1 - libgd extension for php
    php-mbstring - 5.2.12-1 - mbstring extension for php

    именно это и валится. И не факт, что при изменении неких условий, тоже самое не произойдет у вас.

  8. Quote Originally Posted by filichev View Post
    Э, что именно "отсюда" ? Установочный скрипт, но зачем ?

    php - 5.2.12-1 - The php scripting language
    php-fcgi - 5.2.12-1 - The php scripting language, built as an fcgi module
    php-gd - 5.2.12-1 - libgd extension for php
    php-mbstring - 5.2.12-1 - mbstring extension for php

    именно это и валится. И не факт, что при изменении неких условий, тоже самое не произойдет у вас.
    [^] Check of your HDD-USB disk on errors

  9. #84
    Quote Originally Posted by valerakvb View Post
    [^] Check of your HDD-USB disk on errors
    Это мы опять по-кругу...

  10. #85
    Quote Originally Posted by filichev View Post
    именно это и валится. И не факт, что при изменении неких условий, тоже самое не произойдет у вас.
    Нашел костыль - отложенный с момента загрузки на 3 минуты (т.е. после всего и еще с запасом!) запуск S80lighttpd нормально стартует демон и далее поднимает php-fcgi.

    Имеется ввиду фоновое ожидание аля echo "S80lighttpd start" |at now+3 minutes &, а не просто sleep в init.d

    Это не с диском у всех проблемы, fastcgi похоже течет как решето

  11. #86
    Join Date
    Oct 2009
    Location
    Удомля
    Posts
    55
    Quote Originally Posted by filichev View Post
    Нашел костыль - отложенный с момента загрузки на 3 минуты (т.е. после всего и еще с запасом!) запуск S80lighttpd нормально стартует демон и далее поднимает php-fcgi.
    Имеется ввиду фоновое ожидание аля echo "S80lighttpd start" |at now+3 minutes &, а не просто sleep в init.d
    Это не с диском у всех проблемы, fastcgi похоже течет как решето
    Можно отсюда подробнее, что и как надо сделать?

  12. #87

    Lightbulb

    filichev Уважаемый, можно поподробнее? Люди всё еще страдают...

  13. #88

    Странная проблема с PHP-fcgi

    При попытке поставить lighttpd с PHP все вроде как поднялось, однако любое обращение к .php файлам дает 404 ошибку. Файл ессно есть. В логах пусто. Раскопки привели к следующему:

    вывод strace php-fcgi -b 1026
    Code:
    open("/opt/mnt/disk1/www/phpinfo.php", O_RDONLY) = 5
    ioctl(5, TIOCNXCL, 0x7fff5650)          = -1 ENOTTY (Inappropriate ioctl for device)
    brk(0x88a000)                           = 0x88a000
    fstat(5, {st_mode=S_IFREG|0755, st_size=18, ...}) = 0
    close(5)                                = 0
    PHP пробовал и из пакетов, и самосборный. Собраные с той же конфигурацией PHP и lighttpd на нормальном компе работают.

    Ну и традиционный русский вопрос - кто виноват и что делать?

  14. #89
    есть ли какие изменения за прошедшее время?

    php и php-fcgi 5.2.16-1

    $ php -v
    Illegal instruction

    Пробовал на wl500gV2 и rt-n16 (диск между ними переставлял). Эффект одинаковый, вряд ли это память.

    Переустановка пакетов и попытки запуска до ребута картину не меняют.
    Кстати, php работало нормально до обновления на последнюю версию где-то в 20-х числах декабря.

    откатился на php 5.2.14-1 и все заработало. Чудеса.
    Last edited by mapkyl; 01-01-2011 at 08:22. Reason: дополнение

  15. #90

    Проблема с установкой php-fcgi на DIR-320

    Перелистал весь форум, но ничего подобного не нашёл.

    ########## добавлено #############
    Во время установки пакаджа система внезапно переходит в режим readonly

    Дело в том, что это - не самая первая установка на этот роутер.
    Предыдущая закончилась более чем успешно, но не работало обновление статистики
    (возможно было что-то не то с CRON)
    После чего я сделал сброс роутеру, отформатировал в инде флешку (4Гб, какая-то скоростная),
    и дальше пошёл по списку из [Durak Edition].

    Есдинственно, SWAP сделал не 512 Мб, а 200, и EXT3 раздел всего на 300 метров (но он заполнен
    на данный момент, едва на 14%)
    Остальное место я планировал отформатировать в NTFS формат и маунтить при помощи NTFS-3G для торрентов
    (Чтобы флешку можно было свободно втыкать в виндовый комп, и всё оттуда/туда переносить)

    Уже сделал наверное раз 20 переустановку, теперь она всегда доходить лишь до этого момента.
    Конечно спасибо админу, за перенос в эту тему, но проблема и с установкой других больших пакаджей.

    ########## добавлено #############

    Пытаюсь установить всё по этой схеме:
    ipkg install lighttpd - установился на ура.
    а следующий за ним php-fcgi

    http://wl500g.info/showpost.php?p=128994&postcount=6

    До ЭТОГО сообщения всё шло как надо, т.е. выполнил все пункты [Durak Edition], начиная с первого сообщения, по-очереди.

    PHP Code:
    df -P
    Filesystem           1024
    -blocks    Used Available Capacity Mounted on
    /dev/root                 3072      3072         0 100% /
    tmpfs                    15024       208     14816   1% /tmp
    /dev/scsi/host0/bus0/target0/lun0/part2
                            305238     39811    249667  14
    % /opt 
    PHP Code:
    ipkg install php-fcgi
    Installing php
    -fcgi (5.2.16-1to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/php-fcgi_5.2.16-1_mipsel.ipk
    Installing php (5.2.16-1to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/php_5.2.16-1_mipsel.ipk
    Installing libxml2 (2.7.8-1to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/libxml2_2.7.8-1_mipsel.ipk
    Installing libxslt (1.1.26-2to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/libxslt_1.1.26-2_mipsel.ipk
    Installing gdbm (1.8.3-2to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/gdbm_1.8.3-2_mipsel.ipk
    Installing libdb (4.2.52-3to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/libdb_4.2.52-3_mipsel.ipk
    Installing cyrus-sasl-libs (2.1.23-2to /opt/...
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/cyrus-sasl-libs_2.1.23-2_mipsel.ipk
    wgetcan't open '/opt/ipkg-0EbTti/cyrus-sasl-libs_2.1.23-2_mipsel.ipk': Read-only file system
    Configuring gdbm
    Configuring libdb
    Configuring libxml2
    Configuring libxslt
    Configuring php
    ipkg_conf_write_status_files: Can'
    t open status file//opt/lib/ipkg/status for writing: Read-only file system
    pkg_write_filelist pkg=gdbm returned 30
    pkg_write_filelist pkg
    =libdb returned 30
    pkg_write_filelist pkg
    =libxml2 returned 30
    pkg_write_filelist pkg
    =libxslt returned 30
    pkg_write_filelist pkg
    =php returned 30
    An error ocurred
    , return value22.
    Collected errors
    :
    Could not open //opt/lib/ipkg/info/libdb.list for writing: Read-only file system
    ipkg_downloadERRORCommand failed with return value 1: `wget    -q -P /opt/ipkg-0EbTti http://ipkg.nslu2-linux.org/feeds/optware/ol'
    Failed to download cyrus-sasl-libs. Perhaps you need to run 'ipkg update'?
    Could not open //opt/lib/ipkg/info/gdbm.list for writing: Read-only file system
    Could not open //opt/lib/ipkg/info/libdb.list for writing: Read-only file system
    Could not open //opt/lib/ipkg/info/libxml2.list for writing: Read-only file system
    Could not open //opt/lib/ipkg/info/libxslt.list for writing: Read-only file system
    Could not open //opt/lib/ipkg/info/php.list for writing: Read-only file system
    WARNING: Unable to remove temporary directory: /opt/ipkg-0EbTti: Read-only file system 


    Подскажите что я тут не написал, чтобы было возможно понять мою проблему.
    Никаких аппаратных переделок, действую впервые.

    Цель - в итоге сделать торрент клиент + SAMBA.
    Как опция - видеть кто из пользователей (по МАС) сколько качает.
    Last edited by tigos; 06-01-2011 at 14:25.

Page 6 of 8 FirstFirst ... 45678 LastLast

Similar Threads

  1. Установка и настройка vnStat + vnStat PHP frontend
    By VoVuX in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 219
    Last Post: 16-10-2015, 14:37
  2. How to execute php scripts ?
    By simistef in forum WL-500gP Q&A
    Replies: 13
    Last Post: 11-03-2008, 10:35
  3. PHP on ASUSWL500-G Premium
    By simistef in forum WL-500gP Q&A
    Replies: 1
    Last Post: 20-02-2008, 19:44
  4. WL-500gP vs WPA не работает.
    By neo in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 2
    Last Post: 03-02-2008, 14:36

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •